## mkdocs-click 0.8.0

=== requirements.txt ===
-e .

# Packaging
twine
build

# Linters
black==22.3.0
flake8==3.8.4

# Type checking
mypy==0.950
types-Markdown

# Testing
mock==4.0.2
pytest==7.1.2
pytest-cov==3.0.0

=== debian/changelog ===
mkdocs-click (0.8.0-2) unstable; urgency=medium

  * Source only upload

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 23 Oct 2022 07:09:59 +0200

mkdocs-click (0.8.0-1) unstable; urgency=medium

  * [7029877] New upstream version 0.8.0
  * [756b019] First and basic Debianization
    (Closes: #1022155)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 22 Oct 2022 07:41:23 +0200

=== debian/control ===
Source: mkdocs-click
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-click,
 python3-hatchling,
 python3-markdown <!nocheck>,
 python3-pytest,
 python3-pytest-cov,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/DataDog/mkdocs-click
Vcs-Git: https://salsa.debian.org/python-team/packages/mkdocs-click.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocs-click

Package: mkdocs-click
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Suggests:
 ${python3:Suggests},
Description: MkDocs extension to generate documentation for Click command line applications
 This package contains a MkDocs extension that lets you generate the
 documentation for the Click command line applications within your documentation
 created dynamically from the source code files.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=mkdocs_click
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python3*/dist-packages/mkdocs_click-*.dist-info/licenses

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="{interpreter} -m pytest"

=== debian/watch ===
# watch file for mkdoc-click

version=4

opts="mode=git, \
      uversionmangle=s/(\d)[_\.\-\+]?((alpha|beta|RC|rc|pre|dev)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/DataDog/mkdocs-click.git \
      refs/tags/@ANY_VERSION@

## mkdocs-click 0.8.1

=== debian/changelog ===
mkdocs-click (0.8.1-1) unstable; urgency=medium

  * [842ced7] d/watch: Set compression and switch URL
    Upstream has moved to the mkdocs organization on GitHub.
  * [9b9f133] New upstream version 0.8.1
  * [57d6fd1] d/u/metadata: Update content after upstream URL move
  * [89d19dc] d/control: Add some more BuildProfileSpec
  * [a38e220] d/control: Update Standards-Version to 4.6.2
    No further changes needed.
  * [a4faf30] d/control: Update Homepage field
  * [3b9418a] d/copyright: Update content and year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 24 Sep 2023 08:23:22 +0200

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,11 @@
  python3-click,
  python3-hatchling,
  python3-markdown <!nocheck>,
- python3-pytest,
- python3-pytest-cov,
+ python3-pytest <!nocheck>,
+ python3-pytest-cov <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
-Homepage: https://github.com/DataDog/mkdocs-click
+Standards-Version: 4.6.2
+Homepage: https://github.com/mkdocs/mkdocs-click
 Vcs-Git: https://salsa.debian.org/python-team/packages/mkdocs-click.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocs-click

## mkdocs-click 0.9.0

=== debian/changelog ===
mkdocs-click (0.9.0-1) unstable; urgency=medium

  * [8ccb956] New upstream version 0.9.0
  * [7d85449] d/control: Update Standards-Version to 4.7.2
    No further changes needed.
  * [dc92466] d/copyright: Update copyright holder and year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 10 Apr 2025 16:41:36 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/mkdocs/mkdocs-click
 Vcs-Git: https://salsa.debian.org/python-team/packages/mkdocs-click.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocs-click

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
-#! /usr/bin/make -f
+#!/usr/bin/make -f
+# -*- makefile -*-
+
+#export DH_VERBOSE = 1
 
 export PYBUILD_NAME=mkdocs_click
 export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python3*/dist-packages/mkdocs_click-*.dist-info/licenses

=== debian/watch ===
# watch file for mkdoc-click

version=4

opts="mode=git, \
      compression=gz, \
      uversionmangle=s/(\d)[_\.\-\+]?((alpha|beta|RC|rc|pre|dev)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/mkdocs/mkdocs-click.git \
      refs/tags/@ANY_VERSION@
